org.apache.creadur.tentacles

## Enum LicenseType

- java.lang.Object
- - java.lang.Enum<LicenseType>
  - - org.apache.creadur.tentacles.LicenseType

All Implemented Interfaces:
  Serializable, Comparable<LicenseType>

    public enum LicenseType
    extends Enum<LicenseType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASL_2_0`
`CDDL_1_0`
`CPL_1_0`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getResourceName()`
`String` `getResourcePath()`
`static Licenses` `loadLicensesFrom(Platform platform)`
`void` `putTextInto(Map<String,String> licenseTextByName, TentaclesResources tentaclesResources)`
`String` `readText(TentaclesResources tentaclesResources)`
`static LicenseType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LicenseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASL_2_0

    public static final LicenseType ASL_2_0

#### CPL_1_0

    public static final LicenseType CPL_1_0

#### CDDL_1_0

    public static final LicenseType CDDL_1_0

### Method Detail

#### values

    public static LicenseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LicenseType c : LicenseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LicenseType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### loadLicensesFrom

    public static Licenses loadLicensesFrom(Platform platform)
                                     throws IOException

Throws:
  `IOException`

#### getResourceName

    public String getResourceName()

#### getResourcePath

    public String getResourcePath()

#### readText

    public String readText(TentaclesResources tentaclesResources)
                    throws IOException

Throws:
  `IOException`

#### putTextInto

    public void putTextInto(Map<String,String> licenseTextByName,
                            TentaclesResources tentaclesResources)
                     throws IOException

Throws:
  `IOException`